import { defineComponent as i, openBlock as t, createElementBlock as s, normalizeClass as n, unref as e, normalizeStyle as u, toDisplayString as p, createCommentVNode as f } from "vue";
import { useTheme as h } from "../../composables/useTheme.js";
const y = {
  helper: String,
  error: String
}, d = { name: "XInputFooter" }, g = /* @__PURE__ */ i({
  ...d,
  props: y,
  setup(l) {
    const a = l, { styles: c, classes: o, className: m } = h("InputFooter", {}, a);
    return (r, k) => (t(), s("div", {
      class: n([e(m), e(o).wrapper]),
      style: u(e(c))
    }, [
      r.error ? (t(), s("p", {
        key: 0,
        class: n(e(o).errorText)
      }, p(r.error), 3)) : r.helper ? (t(), s("p", {
        key: 1,
        class: n(e(o).helperText)
      }, p(r.helper), 3)) : f("", !0)
    ], 6));
  }
});
export {
  g as default
};
